[plugin] Téléchargeur de plugins automatique Multidepots

jack31jack31 Membres
4 janv. modifié dans Plugins
Nous avions MyPluginDownloader qui télécharge directement en administration les plugins de Stéphane, nous avons maintenant jpbMultidepots qui affiche et gère un maximum de plugins opérationnels pour notre PluXml.

ATTENTION ! CURL doit être actif sur votre serveur.

Mise à jour importante

Sur une base de SPXPLUGINDOWNLOADER que j'ai aimablement forké, l'installeur automatique est multi dépôts et affiche dans votre administration pas moins de 8 dépôts dont les plus célèbres dont les plugins sont d’excellente qualité.

Il affiche également en interne les autres dépôts non compatibles avec ce plugin.

Le gros avantage de jpbMultidepots est que les nouveaux plugins de ces dépôts sont automatiquement affichés et immédiatement téléchargeable ou mis à jour.

Maj de jpbMultidepots en Version 1.5 du 03/01/2019 Téléchargez

Téléchargez jpbMultidepots Version 1 28/12/2018


Ce jour, plus de 140 sont déjà disponibles inside et la liste s'allonge au gré de mes découvertes et mes envies.

Proposez-moi dans ce fil les plugins que vous voudriez y voir apparaître pour autant qu'ils soient compatibles avec les versions 5.6 et 5.7 Pluxml.

Si vous rencontrez un bug avec un plugin déjà implémenté, merci de me prévenir immédiatement. Il sera retiré de la liste et son concepteur invité à le mettre à jour si je n'y arrive pas moi même.

Réponses

  • bazooka07bazooka07 Membres
    décembre 2018 modifié
    Plugin oublié et important : codemirror
    Editeur de code html, php, css avec coloration syntaxique,...
    Cela dépanne bien pour créer, modifier ses pages statiques, feuilles de style, thème

    Pour le plugin que tu publies :
    - il utilise la fonction curl(). Donc inutilisable chez Free.fr. Il faut prévoir une solution de repli en Javascript pour signaler les mises à jour disponibles. Cela vaut aussi pour PluXml.
    - la fonction function AdminTopEndHead() n'a pas lieu d'être. Renommer dans le dossier du plugin, le fichier css/style.css par css/admin.css.
    - Je conseille d'utiliser la class ZipArchive module de PHP au lieu de la class dUnzip2 dont la maintenance n'est pas garantie
    - Créer un dossier cache dans le dossier des plugins n'est pas une bonne idée. Il devrait être dans le dossier data/configuration/plugins. Je suis partisan de rendre le dossier des plugins en écriture seule pour éviter l'exploration ou le dépôt inamical de script PHP. les fichiers admin.css et site.css étant à déplacer dans le dossier data du site. Cela pose problème quand on veut basculer d'un dossier de données à un autre (plugin moveMyDatas)
    - remplacer les variables $repository_url, $repository_xmlfile,$repository_version par des constances de class.
  • Il serait assez courtois de citer les auteurs dans ta liste de plugins. C'est dans le fichier infos.xml de chaque plugin.
    Facile à faire à faire avec une simple boucle en PHP.
  • il utilise la fonction curl

    Je vais faire une mention en ce sens là où il faut. Merci. :)
    Il serait assez courtois de citer les auteurs dans ta liste de plugins. C'est dans le fichier infos.xml de chaque plugin.
    Facile à faire à faire avec une simple boucle en PHP

    J'avais effectivement pensé à cela mais ne savais pas comment faire.

    Pour ma solution, voir la suite.

    En tout cas, merci pour ce debrief très opportun mais hélas, je n'ai pas les compétences pour mettre tout cela en pratique.

    Selon l'intérêt de ce plugin reçu par la communauté (il est en fait destiné aux débutants qui ne savent pas toujours où chercher), cela serait bien qu'un spécialiste s'y colle et je ne tiens pas absolument à la paternité de ce plugin.

    D'autant plus que c'est celui de Stéphane reconditionné.

    Alors, si quelqu'un sait et veut mettre en pratique les idées de Bazooka07, qu'il fourche ma fourche allègrement pour le bonheur de tous.

    A ce propos, j'offre une piste de réflexion.

    La chose qui me tracasse est la mise à jour des plugins, car, si le plugin permet de les installer quand elles se présentent en avertissant l'utilisateur qu'elles sont disponibles, qu'en est-il de la mise à jour du dépôt avec les nouvelles versions ?

    Ou plutôt, comment faire pour inciter les développeurs à signaler leur mises à jour pour que je puisse l'intégrer là où ça va bien ?
    bazooka07 a écrit:
    Plugin oublié et important : codemirror

    Pas "oublié"; pas encore intégré à la liste seulement. :)
  • La version 1.2 (20/12/2018) est disponible (en tête du fil).

    Merci à Jean-Pierre pour ses conseils. :)
  • Avis à ceux qui ont téléchargé installeurPlugin

    Un petit soucis avec mon dépôt de plugins m'oblige à le mettre en maintenance pour quelques heures.

    Ne vous étonnez pas si il vous dit "No Plugins" ou quelque chose comme cela.
  • Fin de maintenance sur le centre de ressources Pluxopolis. vous pouvez recommencer à utiliser les outils. :)
  • Maj de l'istalleur de plugins en Version 1.3

    # Ajout d'une page d'aide
    # Ajout d'un système d'avertissement et informations en administration en temps réél

    Cela fonctionne très bien. :)
  • moi sa fonctionne pas, quelqu'un d'autre as tester avec OVH ?
  • Comment ça ne fonctionne pas ! Tu as un message d'erreur ou quelque chose comme cela ?

    As-tu testé chez un autre hébergeur pour voir ?
  • Non pas d'erreur c'est vide, tout mes sites sont chez ovh, pour sa que je demande un retour.

    CURL est actif par défault chez ovh, donc je comprend pas et tous les plugin désactiver idem rien.
  • @Freesby

    Perso, je n'aime pas trop OVH parce qu'il a des restrictions que je ne maîtrise pas et ils m'ont sucré le compte gratuit que j'avais chez eux. Donc, je ne peux pas tester.

    On va essayer un truc.

    1/ Installe une version PluXml de tests sur ton hébergement puisque le plugin sert à ça.
    2/ Installe MyPluginDownloader (original) de Stéphane que tu trouvera ici...

    https://github.com/Pluxopolis/plxMyPluginDownloader/archive/1.2.zip

    Vérifie que cela fonctionne et si oui, je te donnerai la procédure pour le transformer en installeurPlugins facilement.
  • Oui celui de stéphane fonctionne parfaitement
  • Freesby a écrit:
    Oui celui de stéphane fonctionne parfaitement

    C'est très bon signe. ;)

    Edite le fichier /plugins/MyPluginDownloader/admin.php et repère (vers la ligne huit) les infos sur le repository et remplace par ces valeurs
    [== Indéfini ==]
    # infos sur le repository
    $repository_url = 'https://ressources.pluxopolis.net/repositorix/'; # avec un slash à la fin
    $repository_xmlfile = 'repository.xml';
    $repository_version = 'repository.version';
    

    Ensuite, en principe à la ligne 113, tu va insérer un appel au système de notices interne (qui affiche des informations et les plugins déjà contrôlés).

    C'est entre...
    [== Indéfini ==]
    <form action="plugin.php?p=TestPlugins" method="post" id="form_TestPlugins">
    <p><?php echo plxToken::getTokenPostMethod() ?></p>
    <table class="mypdler" cellspacing="0"> 
    //--------------- C'est ici --------------------------------------->
    //@include 'https://ressources.pluxopolis.net/notice.php';
    <?php echo file_get_contents("https://coffre.reseauk.info/outils/web/cn/cn.php?id=1003&rd=1"); ?>
    
    <?php
    <---------------------------- Fin de c'est ici ----------------------------------------
    # lecture du fichier xml contenant les infos sur les plugins dispo dans le repository
    if($repo = TestPlugins::getRepository($cache_dir.$repository_xmlfile)) {
    
    Tu verra alors apparaître dans l'admin du plugin des informations.

    Selon la configuration de ton serveur, peut-être que rien n’apparaîtra et tu remplacerait cette dernère ligne par...
    [== Indéfini ==]
    <script type='text/javascript' src='https://coffre.reseauk.info/outils/web/cn/cn.php?id=1003'></script> 
    
    Ou...
    
    <iframe src="https://coffre.reseauk.info/outils/web/cn/cn.php?id=1003&rd=1" width="500" height="500"></iframe>
    

    Ensuite, tu ouvre le fichier /plugins/MyPluginDownloader/lang/fr-help.php et remplace ce qu'il y a dedans par...
    [== Indéfini ==]
    <?php if(!defined('PLX_ROOT')) exit; ?>
    
    
    
    <p>Pour contrôler un plugin, veuillez vérifier sur <a href="https://forum.pluxml.org/viewtopic.php?id=6369" target="_blank">les forums PluXml</a> si une version plus récente est disponible dans la rubrique dédiée et prévenez-moi immédiatement au cas où pour que je l'intègre dans le dépôt. </p>
    
     <p> Il serait en effet ballot de perdre son temp à vérifier un plugin si une version plus moderne existe.</p>
    
    <p><img alt="" src="https://ressources.pluxopolis.net/data/medias/images-site/attention-mec.tb.jpg" style="margin-left: 5px; margin-right: 5px; float: left; width: 30px; height: 30px;" /><strong>Note :</strong> Certains, il commence à y en avoir beaucoup, sont <strong>relativement anciens</strong> et ne fonctionnent plus avec les versions modernes de PluXml et c'est pour cela que j'ai inventé cet outil qui perment de vérifier les plugins sur un espace dédié (pour préserver nos sites en production), de voir les plugins mis à jour, et surtout de faire remonter directement les informations. </p>
    
    <p>Selon la configuration de votre serveur, il se pourrait que le système interne d'avertissement en temps réel (Notice Bonjour les testeurs,) n'apparaisse pas sur <strong>la page TestPlugins </strong>de votre administration PluXml.<br /> 
    
    Dans ce cas, vous pouvez remplacer la ligne 113 du fichier /TestPlugins/admin.php par l'une ou l'autre des lignes 114 ou 115 (en enlevant les commentaires <!-- -->
    
    </p>
    
    <p>Cette aide est en cours de rédaction. Merci pour votre patience. :)</p>
    
    <p><font color=#FF0000><strong>Merci de nous signaler tous dysfonctionnements </font></strong> afin que nous retirions les présumés coupables de la liste jusqu'à une éventuelle mise à jour.</p>
    
    <p>Vous pouvez bien sûr nous proposer vos plugins favoris pour autant qu'ils soient compatibles avec les versions 5.6 et 5.7 PluXml</p>
    

    Maintenant, ça devrait fonctionner mais attention de ne pas le confondre avec le vrai MyPluginDownloader ou alors, fais comme moi, change son nom. :)
  • FreesbyFreesby Membres
    décembre 2018 modifié
    Soit tu tais planter dans tes chemins en mélangeant les 2 codes soit je comprend rien (j'ai un cerveau un peu lent des fois lol ) il me faut modifier celui de stéphane ou le tiens ?, peu tu m'envoyer un archive complète du plugin modifié.
  • Non, le but justement est que tu utilise le plugin de Stéphane puisqu'il fonctionne bien sur ton hébergement.

    Le mien, bien qu'il fontionne bien chez moi, j'ai peut-être loupé un truc et se sont les retours des utilisateurs qui nous renseigneront.
  • Freesby a écrit:
    il me faut modifier celui de stéphane ou le tiens ?

    Celui de Stéphane bien sûr.
  • Bonjour les testeurs, :)

    Le jeu avec cet outil et de tester les plugins que vous ne connaissez pas avant de les installer sur votre système en production.

    Tout plugin non mis à jour ou causant des problèmes sera immédiatement retiré du dépôt pour autant que j'en sois informé.

    C'est pourquoi je vous propose de me faire remonter les informations en cliquant sur ce lien.

    Proposez votre évaluation

    Si vous obtenez une erreur, rechargez la page

    Les plugins déjà testés avec les versions 5.6 et 5.7 de PluXml (donc OK) sont listés ci-dessous.

    bidouille - version 1.0.0 (15/12/2018)
    CKEditor - version 4.7.3 (28/11/2017)
    Birthday_reminder - version 1.0 (29/08/14)
    CKEditor 4 PHP #sudwebdesign - version 4.11.1_PHP (30/11/2018)
    CodeMirror> - version 2.1.2 (09/07/2018)
    Colorbox - version 1.35 (06/01/2016)
    Script de CV en ligne - version 2 (25/04/2016) (Attention, ce n'est pas un plugin mais un script complet)
    installeurPlugins - version 1.4 (22/12/2018)

    Proposez votre évaluation

    Cette liste est actualisée en temps réel au fur et à mesure des remontées d'information sur tous les TestPlugins où qu'ils soint installés. .

    Seulement avec l'frame j'ai ce message mais toujours pas de plugin
  • Bhou, je ne comprends pas mais il semble que je me sois un peu emmêlé les pinceaux.
    En fait, c'est installeurPlugins que tu veux et non TestPlugins et tu as raison, je me suis fait des noeuds. :-//

    Garde MyPluginDownloader de Stéphane et change tout simplement ceci dans admin.php
    [== Indéfini ==]
    # infos sur le repository
    $repository_url = 'https://ressources.pluxopolis.net/repositorix/'; # avec un slash à la fin
    $repository_xmlfile = 'repository.xml';
    $repository_version = 'repository.version';
    

    Avec ces infos, cela le branchera sur mon dépôt et tu pourra installer tous les plugins qu'il contient mais attention, certains sont anciens et risquent de te mettre le bazar si tu ne les teste pas d'abord sur un plux de test.

    D'où mon nouveau TestPlugins qui sert à ça.
  • cela me donne

    Paramètres > Plugins

    Aucun plugin

    Désoler cela ne fonctionne pas, on vas attendre d'autre retour, je peu les installer manuellement en attendant.
  • C'est peut-être normal.

    Dans /plugins, il y a un répertoire "cache" avec deux fichiers

    repository.version
    repository.xml

    Tu les vire et ils vont se recrer tout seuls quand tu va recharger la page.

    Si ça ne marche pas, récupère le plugin en local, supprime-le sur le serveur, remet-le et roule.

    Si ça ne marche toujours pas, prière à St Eustache. ;)
  • Mise à jour importante de installeurPlugins qui devient jpbMultidepots avec d'énormes avantages. Voir en tête du fil.
  • FreesbyFreesby Membres
    J'ai trouvé la solution pour qu’il fonctionne sur ovh , j'étais en version php Legacy j'ai basculer en mode stable et le plugin fonctionne:

    Procédure sur ovh:
    manager ovh-->hébergement votre domaine-->Configuration --> Version PHP globale cliquer sur les 3 trois petits points, modifier la configuration -->Modifier la configuration courante --> Environnement d'exécution mettre sur stable est validé, puis retour sur votre site et cela fonctionne normalement ;)
  • jack31jack31 Membres
    Maj de jpbMultidepots en Version 1.5 du 03/01/2019 Téléchargez

    Merci à ceux qui nous ont fait remonter les améliorations utiles et en particlier à DPFPIC pour le coup de main.

    @Freesby

    Merci pour le partage concernant les manips OVH.
  • Je te donne les liens vers mes dépôts :

    Hébergeur OVH
    https://kazimentou.fr/repo/ (site dynamique : la liste des plugins est construite à la volée et ne peut être plus vieille que 24 heures)
    https://kazimentou.fr/repo/index.php?xml (liste des plugins)
    http://kazimentou.lan/repo/index.php?lastUpdated ($version = date('ymd', ...); )

    Pages Github
    https://bazooka07.github.io/PluXml-repo/ (site statique)
    https://bazooka07.github.io/PluXml-repo/workdir/xml/plugins.xml (liste des plugins)
    https://bazooka07.github.io/PluXml-repo/workdir/xml/plugins.version ($version = date('ymdh', ...);)

    Les gestionaires de dépôt que j'utilise :
    https://github.com/bazooka07/Pluxml-repository (site one page envoyez simplement le fichier index.php sur votre serveur)
    https://github.com/bazooka07/PluXml-repo (générateur de site statique)
  • Dans le fichier admin-plugins.php, la variable $color est utilisée à la ligne 337 alors qu'elle est seulement déclarée à la ligne 381.
  • jack31jack31 Membres
    bazooka07 a écrit:
    Je te donne les liens vers mes dépôts :

    Ok pour cela mais où est la compatibilité avec Multidepots ?

    A moins que tu ne te soit trompé de fil.
  • Modifie ton fichier repository-stores.xml comme suit :
    [== XML ==]
    <?xml version="1.0" encoding="UTF-8"?>
    <document>
    	<repository>
    		<title>Kazimentou</title>
    		<author>Bazooka07</author>
    		<repositoryurl>https://kazimentou.fr/repo/index.php?xml</repositoryurl>
    		<repositoryversionurl>https://kazimentou.fr/repo/index.php?lastUpdated</repositoryversionurl>
    		<site>https://kazimentou.fr/repo/</site>
    		<description><![CDATA[Plugins de Bazooka07]]></description>
    		<name>Kazimentou</name>
    		<icon>https://kazimentou.fr/favicon.png</icon>
    	</repository><repository>
    		<title>Bazooka07</title>
    		<author>Bazooka07</author>
    		<repositoryurl>https://bazooka07.github.io/PluXml-repo/workdir/xml/plugins.xml</repositoryurl>
    		<repositoryversionurl>https://bazooka07.github.io/PluXml-repo/workdir/xml/plugins.version</repositoryversionurl>
    		<site>https://bazooka07.github.io/PluXml-repo/</site>
    		<description><![CDATA[Bazook07 's plugins @ github.com]]></description>
    		<name>Bazooka07</name>
    		<icon>https://bazooka07.github.io/PluXml-repo/icon48.jpg</icon>
    	</repository><repository>
    		<title>JPB</title>
    		<author>j.p.b.</author>
    		<repositoryurl>https://ressources.pluxopolis.net/repositorix-jpb/repository.xml</repositoryurl>
    		<repositoryversionurl>https://ressources.pluxopolis.net/repositorix-jpb/repository.version</repositoryversionurl>
    		<site>https://ressources.pluxopolis.net</site>
    		<description><![CDATA[Plugins de Jack Paloque-Berges]]></description>
    		<name>jpb</name>
    		<icon>https://ressources.pluxopolis.net/data/medias/images-site/icon.png</icon>
    	</repository><repository>
    		<title>Pluxopolis</title>
    		<author>Stéphane F.</author>
    		<repositoryurl>https://raw.githubusercontent.com/Pluxopolis/repository/master/repository.xml</repositoryurl>
    		<repositoryversionurl>https://raw.githubusercontent.com/Pluxopolis/repository/master/repository.version</repositoryversionurl>
    		<site>https://www.pluxopolis.net</site>
    		<description><![CDATA[Liste des dépots des plugins pluxopolis]]></description>
    		<name>pluxopolis</name>
    		<icon>https://pluxopolis.net/themes/defaut/img/favicon.png</icon>
    	</repository><repository>
    		<title>Spx</title>
    		<author>J.E. Évrard</author>
    		<repositoryurl>https://www.secretsitebox.fr/spx/repository/repository.xml</repositoryurl>
    		<repositoryversionurl>https://www.secretsitebox.fr/spx/repository/repository.version</repositoryversionurl>
    		<site>https://www.secretsitebox.fr</site>
    		<description><![CDATA[Liste des dépots des plugins spx]]></description>
    		<name>spx</name>
    		<icon>https://secretsitebox.fr/site/themes/secretsitebox/images/favicon.ico</icon>
    	</repository><repository>
    		<title>The Poulpe</title>
    		<author>Rockyhorror</author>
    		<repositoryurl>https://thepoulpe.net/repository/repository.xml</repositoryurl>
    		<repositoryversionurl>https://thepoulpe.net/repository/repository.version</repositoryversionurl>
    		<site>https://thepoulpe.net</site>
    		<description><![CDATA[Les plugins du poulpe pour PluXml]]></description>
    		<name>poulpe</name>
    		<icon>https://thepoulpe.net/repository/logo-orange-small.png</icon>
    	</repository><repository>
    		<title>Ecyseo</title>
    		<author>Cyril MAGUIRE</author>
    		<repositoryurl>https://raw.githubusercontent.com/jerrywham/repositoryForPluxml/master/repository.xml</repositoryurl>
    		<repositoryversionurl>https://raw.githubusercontent.com/jerrywham/repositoryForPluxml/master/repository.version</repositoryversionurl>
    		<site>https://www.ecyseo.net</site>
    		<description><![CDATA[Liste des dépots des plugins de Jerry Wham]]></description>
    		<name>ecyseo</name>
    		<icon>https://www.ecyseo.net/plugins/favicon/img/apple-touch-icon.png</icon>
    	</repository><repository>
    		<title>Bronco</title>
    		<author>Bronco</author>
    		<repositoryurl>http://egoweb.o2switch.net/repo/repository.xml</repositoryurl>
    		<repositoryversionurl>http://egoweb.o2switch.net/repo/repository.version</repositoryversionurl>
    		<site>http://warriordudimanche.net</site>
    		<description><![CDATA[Liste des dépots des plugins de Bronco]]></description>
    		<name>bronco</name>
    		<icon>http://warriordudimanche.net/themes/defaut/img/favicon2.png</icon>
    	</repository><repository>
    		<title>DPFPIC</title>
    		<author>DPFPIC</author>
    		<repositoryurl>https://dpfpic.com/pluxml-plugins/repository.xml</repositoryurl>
    		<repositoryversionurl>https://dpfpic.com/pluxml-plugins/repository.version</repositoryversionurl>
    		<site>https://dpfpic.com/</site>
    		<description><![CDATA[Liste des dépots des plugins de DPFPIC]]></description>
    		<name>DPFPIC</name>
    		<icon>https://dpfpic.com/favicon.png</icon>
    	</repository><repository>
    		<title>Hamtaro</title>
    		<author>Hamtaro</author>
    		<repositoryurl>https://raw.githubusercontent.com/Hamtar0/repository/master/repository.xml</repositoryurl>
    		<repositoryversionurl>https://raw.githubusercontent.com/Hamtar0/repository/master/repository.version</repositoryversionurl>
    		<site>https://www.customtaro.fr/</site>
    		<description><![CDATA[Liste des dépots des plugins Hamtaro]]></description>
    		<name>Hamtaro</name>
    		<icon><![CDATA[https://avatars0.githubusercontent.com/u/1239484?v=3&s=40]]></icon>
    	</repository><repository>
    		<title>Autres</title>
    		<author>Autres></author>
    		<repositoryurl>https://ressources.pluxopolis.net/repositorix/repository.xml</repositoryurl>
    		<repositoryversionurl>https://ressources.pluxopolis.net/repositorix/repository.version</repositoryversionurl>
    		<site>https://ressources.pluxopolis.net/</site>
    		<description><![CDATA[Autres plugins dont certains anciens et pas toujours mis à jour]]></description>
    		<name>Autres</name>
    		<icon>https://ressources.pluxopolis.net/data/medias/images-site/icon.png</icon>
    	</repository>
    </document>
    
    Dans la mesure du possible mettre des liens en https sinon les navigateurs râlent.
    Evidemment si vous faites la guerre le dimanche ....
  • jack31jack31 Membres
    11 janv. modifié
    @ Bazooka

    Le dépôt Kasimentou apparaît bien dans le plugin mais le téléchargement me donne une "Erreur pendant le téléchargement et l'installation du plugin".
    bazooka07 a écrit:
    Evidemment si vous faites la guerre le dimanche ....

    Pas compris. :-//
  • jack31jack31 Membres
    jack31 a écrit:
    Le dépôt Kasimentou apparaît bien dans le plugin mais le téléchargement me donne une "Erreur pendant le téléchargement et l'installation du plugin".

    ERRATUM:

    Il dit bien "Erreur pendant le téléchargement et l'installation du plugin" mais il s'installe quand même. Lol !
Connectez-vous ou Inscrivez-vous pour répondre.